[deps.git]
command = "git"
target = "latest"

[deps.git.mac]
installer = "system"
source = "https://git-scm.com/downloads"

[deps.git.linux]
installer = "apt"
source = "https://git-scm.com/downloads"

[deps.tmux]
command = "tmux"
target = "latest"

[deps.tmux.mac]
installer = "brew"
source = "https://github.com/tmux/tmux/releases"

[deps.tmux.linux]
installer = "apt"
source = "https://github.com/tmux/tmux/releases"

[deps.fish]
command = "fish"
target = "latest"

[deps.fish.mac]
installer = "brew"
source = "https://github.com/fish-shell/fish-shell"

[deps.fish.linux]
installer = "official_repo"
source = "https://launchpad.net/~fish-shell/+archive/ubuntu/release-3"

[deps.nvim]
command = "nvim"
target = "latest"

[deps.nvim.mac]
installer = "brew"
source = "https://neovim.io/doc/install/"

[deps.nvim.linux]
installer = "official_tarball"
source = "https://neovim.io/doc/install/"

[deps.ghostty]
command = "ghostty"
target = "latest"

[deps.ghostty.mac]
installer = "official_cask"
source = "https://ghostty.org/docs/install/binary"

[deps.ghostty.linux]
installer = "community_ubuntu"
source = "https://github.com/mkasberg/ghostty-ubuntu"

[deps.yazi]
command = "yazi"
target = "latest"

[deps.yazi.mac]
installer = "brew"
source = "https://yazi-rs.github.io/docs/installation/"

[deps.yazi.linux]
installer = "official_release"
source = "https://yazi-rs.github.io/docs/installation/"

[deps.zoxide]
command = "zoxide"
target = "latest"

[deps.zoxide.mac]
installer = "brew"
source = "https://github.com/ajeetdsouza/zoxide/blob/main/README.md"

[deps.zoxide.linux]
installer = "official_script"
source = "https://github.com/ajeetdsouza/zoxide/blob/main/README.md"

[deps.starship]
command = "starship"
target = "latest"

[deps.starship.mac]
installer = "brew"
source = "https://starship.rs/"

[deps.starship.linux]
installer = "official_script"
source = "https://starship.rs/"

[deps.eza]
command = "eza"
target = "latest"

[deps.eza.mac]
installer = "brew"
source = "https://github.com/eza-community/eza/blob/main/INSTALL.md"

[deps.eza.linux]
installer = "official_release"
source = "https://github.com/eza-community/eza/blob/main/INSTALL.md"

[deps.lazygit]
command = "lazygit"
target = "latest"

[deps.lazygit.mac]
installer = "brew"
source = "https://lazygit.dev/download/"

[deps.lazygit.linux]
installer = "official_release"
source = "https://lazygit.dev/download/"

[deps.make]
command = "make"
target = "latest"

[deps.make.mac]
installer = "system"
source = "https://www.gnu.org/software/make/"

[deps.make.linux]
installer = "apt"
source = "https://www.gnu.org/software/make/"
